<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-11 12:09:31
 * 文件不允许修改，自动生成
 */

namespace common\table\bms_alarm;

class JdzCabinetAlarmSms{
    public static function tableName()
    {
        return '{{jdz_cabinet_alarm_sms}}';
    }
                
    /**
     * ------------ 字段 alarm_id 
     * ------------ 表字段注释: 
     */
    public function filterByAlarmId($val): self
    {
        $this->filterByColumn("alarm_id", $val);
        return $this;
    }

    public function setAlarmId($val): self
    {
        $this->setAttr("alarm_id", $val);
        return $this;
    }

    public function getAlarmId()
    {
        return $this->alarm_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 admin_id 
     * ------------ 表字段注释: 门店id
     */
    public function filterByAdminId($val): self
    {
        $this->filterByColumn("admin_id", $val);
        return $this;
    }

    public function setAdminId($val): self
    {
        $this->setAttr("admin_id", $val);
        return $this;
    }

    public function getAdminId()
    {
        return $this->admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 phone 
     * ------------ 表字段注释: 手机号
     */
    public function filterByPhone($val): self
    {
        $this->filterByColumn("phone", $val);
        return $this;
    }

    public function setPhone($val): self
    {
        $this->setAttr("phone", $val);
        return $this;
    }

    public function getPhone()
    {
        return $this->phone ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 user_name 
     * ------------ 表字段注释: 
     */
    public function filterByUserName($val): self
    {
        $this->filterByColumn("user_name", $val);
        return $this;
    }

    public function setUserName($val): self
    {
        $this->setAttr("user_name", $val);
        return $this;
    }

    public function getUserName()
    {
        return $this->user_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 content 
     * ------------ 表字段注释: 报警详情
     */
    public function filterByContent($val): self
    {
        $this->filterByColumn("content", $val);
        return $this;
    }

    public function setContent($val): self
    {
        $this->setAttr("content", $val);
        return $this;
    }

    public function getContent()
    {
        return $this->content ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 dev_id 
     * ------------ 表字段注释: 机柜编号
     */
    public function filterByDevId($val): self
    {
        $this->filterByColumn("dev_id", $val);
        return $this;
    }

    public function setDevId($val): self
    {
        $this->setAttr("dev_id", $val);
        return $this;
    }

    public function getDevId()
    {
        return $this->dev_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 box_sn 
     * ------------ 表字段注释: 
     */
    public function filterByBoxSn($val): self
    {
        $this->filterByColumn("box_sn", $val);
        return $this;
    }

    public function setBoxSn($val): self
    {
        $this->setAttr("box_sn", $val);
        return $this;
    }

    public function getBoxSn()
    {
        return $this->box_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 alarm_time 
     * ------------ 表字段注释: 报警时间
     */
    public function filterByAlarmTime($val): self
    {
        $this->filterByColumn("alarm_time", $val);
        return $this;
    }

    public function setAlarmTime($val): self
    {
        $this->setAttr("alarm_time", $val);
        return $this;
    }

    public function getAlarmTime()
    {
        return $this->alarm_time ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 ctime 
     * ------------ 表字段注释: 发送时间
     */
    public function filterByCtime($val): self
    {
        $this->filterByColumn("ctime", $val);
        return $this;
    }

    public function setCtime($val): self
    {
        $this->setAttr("ctime", $val);
        return $this;
    }

    public function getCtime()
    {
        return $this->ctime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 status 
     * ------------ 表字段注释: 发送结果  0 失败  1 成功
     */
    public function filterByStatus($val): self
    {
        $this->filterByColumn("status", $val);
        return $this;
    }

    public function setStatus($val): self
    {
        $this->setAttr("status", $val);
        return $this;
    }

    public function getStatus()
    {
        return $this->status ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 result_msg 
     * ------------ 表字段注释: 发送结果说明
     */
    public function filterByResultMsg($val): self
    {
        $this->filterByColumn("result_msg", $val);
        return $this;
    }

    public function setResultMsg($val): self
    {
        $this->setAttr("result_msg", $val);
        return $this;
    }

    public function getResultMsg()
    {
        return $this->result_msg ?? null;
    }
    // ---------------------------------------------
    
}
